
% Skrypt umożliwia przeprowadzenie analizy prawdobodobieństw 
% przypisanych przez sić do obrazów z bazy MNIST. Do prawidłowego 
% działania wymaga wcześniejszego uruchomienia skrypu mnistCNN i 
% istnienia zmiennych, który ten skrypt tworzy.

close all

% obrazy rozpoznane prawidłowo

icorrect = find(correct);
imdsCorrect = subset(imdsTest, icorrect);
Ycorrect = predict(net,imdsCorrect);

idx = 1000; % index obazu z kolekcji imsdCorrect
figure; imshow(imdsCorrect.Files{idx}, 'InitialMagnification', 500)
imdsCorrect.Labels(idx)
out = [0:9; Ycorrect(idx,:)]
figure; bar(out(1,:),out(2,:))


% obrazy rozpoznane nieprawidłowo

incorrect = find(~correct)';
imdsnCorrect = subset(imdsTest, incorrect);
Yncorrect = predict(net,imdsnCorrect);

idx = 100; % index obazu z kolekcji imsdnCorrect
figure; imshow(imdsnCorrect.Files{idx}, 'InitialMagnification', 500)
imdsnCorrect.Labels(idx)
out = [0:9; Yncorrect(idx,:)]
figure; bar(out(1,:),out(2,:))
